@import 'utils/colours.scss';

.image-viewer-content {
  margin: 0;
  padding: 0;
  max-width: 40vw;
  border: $darkGunmetal;
  border-width: 3px;
  border-style: dashed;
  flex: 90%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.image-viewer-content:hover {
  border: $astral;
  border-width: 3px;
  border-style: dashed;
  cursor: pointer;
}

.image-viewer-content .carousel {
  flex: 78%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.image-viewer-content .carousel-inner,
.image-viewer-content .carousel-item {
  height: 90%;
}

.image-viewer-content .carousel-control-prev,
.image-viewer-content .carousel-control-next {
  width: 8%;
}

.image-viewer-content .carousel .carousel-indicators,
.image-viewer-content .carousel .carousel-control-prev-icon,
.image-viewer-content .carousel .carousel-control-next-icon {
  visibility: hidden;
}

.image-viewer-content .carousel:hover .carousel-indicators,
.image-viewer-content .carousel:hover .carousel-control-prev-icon,
.image-viewer-content .carousel:hover .carousel-control-next-icon {
  visibility: visible;
}

.image-viewer-content .canvas-div {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.image-viewer-content .canvas-div .canvas-central:hover {
  cursor: zoom-in;
}

.image-viewer-side-panel {
  width: 5vw;
  height: 100%;
  flex: 11%;
}

.image-viewer-side-panel .left-side {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-start;
}

.image-viewer-side-panel .right-side {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-end;
}

.image-viewer-side-panel .buttons-group {
  display: none;
}

.image-viewer-content:hover .buttons-group {
  width: 100%;
  height: 100%;
  display: flex;
}
